Knowledge BaseDelete an document

Delete an document

Deleting document triggers cleanup, which may be performed asynchronously, and therefore the document may still appear in queries for a short time.

curl -X DELETE "https://api.prd.rad.security/tenants/example_string/knowledge_base/documents/example_string" \
  -H "Content-Type: application/json"
{
  "id": "example_string",
  "tenant_id": "example_string",
  "account_id": "example_string",
  "file_name": "John Doe",
  "status": "example_string",
  "collections": [
    "example_string"
  ],
  "created_at": "2024-12-25T10:00:00Z",
  "uploaded_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z"
}
DELETE
/tenants/{tenant_id}/knowledge_base/documents/{document_id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Request Preview
Response

Response will appear here after sending the request

Path Parameters

Responses